/*
 * attr.h
 *
 * Version 1.0.1 : Frederick Roeber : 14 May 1993
 *
 * This header file defines some prototypes that Apollo didn't release
 */

#ifndef ATTR_H
#define ATTR_H

#include <apollo/base.h>

typedef short enum 
{
    attr_$time_create, 
    attr_$time_modify, 
    attr_$time_access, 
    attr_$time_attr_modify 
} attr_$time_type_t;

long
attr_$inq_ref_count
(
    ios_$id_t &id,
    unsigned long *ref_count,
    status_$t *status
);

void
attr_$inq_time
(
    ios_$id_t &id,
    attr_$time_type_t &which,
    time_$clock_t *time,
    status_$t *status
);

void
attr_$inq_blocks
(
    ios_$id_t &id,
    unsigned long *number_blocks,
    unsigned long *block_size,
    status_$t *status
);

/*
 *  boolean
 *  attr_$isa
 *  (
 *      ios_$id_t &id
 *  );
 */

void
attr_$set_time
(
    ios_$id_t &id,
    attr_$time_type_t &which,
    time_$clock_t &time,
    status_$t *status
);

/*
 * tbd
 * attr_$stat
 * attr_$statfs
 * attr_$lstat
 * attr_$export_to_pager
 */

#endif /* ATTR_H */
