/*
 * prot_trait.c
 *
 * Version 1.0.0 : Frederick Roeber : 14 May 1993
 *
 * This file will compile into a replacement /sys/traits/attr_trait file.
 */

#include <apollo/base.h>
#include <apollo/trait.h>

void
unimp_attr_trait_$3_args
(
    void *one,
    void *two,
    status_$t *status
)
{
    status->all = 0x01270002;   /* attempted operation illegal on this stream (stream manager / IOS) */
}

void
unimp_attr_trait_$4_args
(
    void *one,
    void *two,
    void *three,
    status_$t *status
)
{
    status->all = 0x01270002;   /* attempted operation illegal on this stream (stream manager / IOS) */
}

trait_$t attr_$trait =
{
    4,                          /* four calls */
    { 3280CDA2.0004653 },      /* attr trait UID */
    { { 3280CDA2.1004653 }, unimp_attr_trait_$3_args },    /* inq_ref_count */
    { { 3280CDA2.2004653 }, unimp_attr_trait_$4_args },    /* inq_time */
    { { 3280CDA2.3004653 }, unimp_attr_trait_$4_args },    /* set_time */
    { { 3280CDA2.4004653 }, unimp_attr_trait_$4_args },    /* inq_blocks */
};
