/*
 * prot_trait.c
 *
 * Version 1.0.0 : Frederick Roeber : 14 May 1993
 *
 * This file will compile into a replacement /sys/traits/prot_trait file.
 */

#include <apollo/base.h>
#include <apollo/trait.h>

void
unimp_prot_trait_$4_args
(
    void *one,
    void *two,
    void *three,
    status_$t *status
)
{
    status->all = 0x01270002;   /* attempted operation illegal on this stream (stream manager / IOS) */
}

trait_$t prot_$trait =
{
    4,                          /* four calls */
    { 3108BE90.60007123 },      /* prot trait UID */
    { { 3108BE90.70007123 }, unimp_prot_trait_$4_args },    /* set_rights */
    { { 3108BE90.80007123 }, unimp_prot_trait_$4_args },    /* inq_rights */
    { { 3108BE90.90007123 }, unimp_prot_trait_$4_args },    /* set_user_class_ids */
    { { 3108BE90.A0007123 }, unimp_prot_trait_$4_args },    /* inq_user_class_ids */
};
